Bug 100791 - Red Hat Linux 9 config users/xfree86 causes system CRASH on a Dell PowerEdge 2550
Red Hat Linux 9 config users/xfree86 causes system CRASH on a Dell PowerEdge ...
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-users (Show other bugs)
9
i686 Linux
high Severity high
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-25 11:05 EDT by Andrew Helyer
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-01 15:27:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Helyer 2003-07-25 11:05:13 EDT
Description of problem:
Part 1: When attempting to use the Users and Groups GUI on the system console
will always cause a system crash. The user selects Users and Groups from the Red
Hat menu "System Settings". The GUI appears but when clicking on the "Add User"
button or double-clicking on an existing user, the system immediately crashes
with no warning.

Part 2: When attempting to modify video card settings using the Display GUI from
the Red Hat menu "System Settings" (again, on the system console). The GUI
appears. The user selects the "Advanced" tab. The user clicks on the Video Card
"Configure" button. The system immediately crashes with no warning.

Part 3: The problem described in parts 1 and 2 does not occur IF the GUI is
displayed on a remote system. I believe that the menu selections for part 1 and
part 2 run the apps redhat-config-users and redhat-config-xfree86 respectively.
The user ssh'd from a Red Hat 9 desktop system to the server system. The user
then executed these applications manually. The GUI is displayed on the desktop
display, and users may be added and modified without any issues. Similary, the
video card configuration may be altered without any issues.

Software: Red Hat Linux 9. The system has the latest Red Hat Network provided
patches and bug fixes. The "uname" command provides:

Linux grover 2.4.20-19.9smp #1 SMP Tue Jul 15 17:04:18 EDT 2003 i686 i686 i386
GNU/Linux

And, /proc/version provides:

Linux version 2.4.20-19.9smp (bhcompile@stripples.devel.redhat.com) (gcc version
3.2.2 20030222 (Red Hat Linux 3.2.2-5)) #1 SMP Tue Jul 15 17:04:18 EDT 2003

The software was installed as a new install and not as an upgrade.


Hardware: The hardware is a Dell PowerEdge 2550. The system is connected to a
keyboard, mouse, and monitor via a Black Box KVM switch. Other systems connected
similarly and running Red Hat Linux 8 and below are functioning normally.


Version-Release number of selected component (if applicable):

redhat-config-users-1.1.5-7
redhat-config-xfree86-0.7.3-2


How reproducible:
On the described system, the crash occurs 100% of the time.


Steps to Reproduce:
1. Log in and select Users and Groups from the Red Hat menu
2. Provide the root password as necessary
3. Select Add User on the GUI
    
Actual results:
The system crashes without warning and reboots. No user account information may
be added using the GUI on the console.

Expected results:
User account information should be accepted by the GUI and inserted into the
appropriate system files (e.g. /etc/passwd, /etc/shadow).

Additional info:
The problem does not occur on the desktop system (Dell Dimension 8250) running
Red Hat Linux 9, and so it appears to be related to the server configuration.
Comment 1 Brent Fox 2003-10-15 10:36:40 EDT
I would really be suspicious of the hardware here.  There's absolutely no code
in the redhat-config-* Python code that would ever cause a machine to reboot. 
Can you look in /var/log/messages after the crash and see if there were any
error messages logged just before the machine crashed?
Comment 2 Brent Fox 2003-12-01 15:27:45 EST
I am unable to duplicate this behavior.  Closing as 'worksforme'

Note You need to log in before you can comment on or make changes to this bug.